HomeGuidesAPI Reference
API Reference

Delete ROLE

Delete exist Role, ACCESS LEVEL: SUPER_ADMIN, PARTNER, MERCHANT, BRANCH

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint deletes a role using its roleId.

Endpoint

DELETE https://demo-api.edfapay.com/api/v1/roles/role/{roleId}


Authentication

All requests to this endpoint must include a valid X-API-KEY in the request header for authentication. The X-API-KEY must be sent from the server side and should not be exposed on the client side.

How to generate API key


Query Parameters

FieldTypeRequiredDescription
roleIdstringYesUnique Role ID from EdfaPay (UUID).
📘

How to get the roleId

Create Role API: After creating a role, the id is returned in the success response. 👉 Create Role Responses

Search Roles API: After applying your search criteria, the id is returned in the success response along with the details for each role. 👉 Search Roles Responses

Edfapay Dashboard: Go to the Roles page, click the Columns icon, and enable the id field from Hidden Attributes.


Example Request

curl --location --request DELETE 'https://demo-api.edfapay.com/api/v1/roles/role/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx' \
--header 'X-API-KEY: YOUR_API_KEY' \

Example Responses

{
  "code": 200,
  "message": "Success",
  "errorCode": null,
  "data": "Role_Name Role deleted successfully"
}
{
    "code": 404,
    "message": "Entity Role not found for fields [roleId, businessUnitId] and values [xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx, xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx]",
    "errorCode": "404",
    "data": null
}
Path Params
uuid
required
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
*/*